Subject: bug#37682: weston 6.0.1 build failure

From: Gábor Boskovits <[email-masked]>
Date: Thu, 24 Oct 2019 20:29:01 +0000

Hello,
I just encountered this. I will first try to update it to 7.0.0, and see if
it helps.

Marius Bakke <[email-masked]> ezt írta (időpont: 2019. okt. 24., Cs,
18:54):

> Bradley Haggerty <[email-masked]> writes:
>
> >   guix 525ef21
> >     repository URL: https://git.savannah.gnu.org/git/guix.git
> >     branch: master
> >     commit: 525ef21ba0d4a50a7d21f5543db40b6cc328f9cd
> >
> > builder for
> `/gnu/store/i1k1znpbswllwhaja6g3nlbb4g2gpk1c-weston-6.0.1.drv'
> > failed with exit code 1
> > build of /gnu/store/i1k1znpbswllwhaja6g3nlbb4g2gpk1c-weston-6.0.1.drv
> failed
> > View build log at
> >
> '/var/log/guix/drvs/i1/k1znpbswllwhaja6g3nlbb4g2gpk1c-weston-6.0.1.drv.bz2'.
> > guix package: error: build of
> > `/gnu/store/i1k1znpbswllwhaja6g3nlbb4g2gpk1c-weston-6.0.1.drv' failed
> >
> > build log: https://paste.debian.net/1105575/
>
> So apparently this only happens on some systems.  I can not reproduce it
> on my dinky laptop, but I can on a Haswell Xeon server.
>
> Can you file a bug report about this upstream at
> <https://gitlab.freedesktop.org/wayland/weston>?
>
> We can probably disable the test in question, but it would be good to
> have an upstream bug report to link to.
>
> On the Guix CI, Weston builds successfully only on armhf:
>
> https://ci.guix.gnu.org/search?query=weston
>
> It is possible that clocking down your CPU while running the tests would
> help as a band-aid...
>

-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21